## org.exist.xquery
Class FunctionDef

    java.lang.Object
      org.exist.xquery.FunctionDef

public class FunctionDef
extends java.lang.Object

A function definition, consisting of a signature and the implementing class. Used by modules to define the available functions. A single implementation class can be mapped to more than one function signature, given that the signatures differ in name or the number of expected arguments.

Author:
  Wolfgang Meier (wolfgang@exist-db.org)

Constructor Summary
`FunctionDef(FunctionSignature signature, java.lang.Class implementingClass)`

Method Summary
`java.lang.Class` `getImplementingClass()`
`FunctionSignature` `getSignature()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FunctionDef

    public FunctionDef(FunctionSignature signature,
                       java.lang.Class implementingClass)

Method Detail

### getSignature

    public FunctionSignature getSignature()

### getImplementingClass

    public java.lang.Class getImplementingClass()

Copyright (C) Wolfgang Meier. All rights reserved.